defmodule HereIAm.DevicesFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `HereIAm.Devices` context.
  """

  @doc """
  Generate a device.
  """
  def device_fixture(attrs \\ %{}) do
    {:ok, device} =
      attrs
      |> Enum.into(%{
        tts: "some tts",
        ip_address: "some ip_address"
      })
      |> HereIAm.Devices.create_device()

    device
  end
end
